Freeciv-3.2: packet_edit_player Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
packet_edit_player Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | id
char | name [MAX_LEN_NAME]
char | username [MAX_LEN_NAME]
char | ranked_username [MAX_LEN_NAME]
int | user_turns
bool | is_male
Government_type_id | government
Government_type_id | target_government
Nation_type_id | nation
int | team
bool | phase_done
int | nturns_idle
bool | is_alive
int | revolution_finishes
int | autoselect_weight
bv_player | embassy
int | gold
int | tax
int | science
int | luxury
int | future_tech
int | researching
int | bulbs_researched
bool | inventions [A_LAST+1]
bool | ai
bool | scenario_reserved

## Detailed Description

Definition at line 1800 of file packets_gen.h.

## Field Documentation

## ◆ ai

bool packet_edit_player::ai

Definition at line 1825 of file packets_gen.h.

Referenced by send_packet_edit_player_100().

## ◆ autoselect_weight

int packet_edit_player::autoselect_weight

Definition at line 1815 of file packets_gen.h.

Referenced by handle_edit_player(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_player_100().

## ◆ bulbs_researched

int packet_edit_player::bulbs_researched

Definition at line 1823 of file packets_gen.h.

Referenced by handle_edit_player(), objbind_pack_modified_value(), and send_packet_edit_player_100().

## ◆ embassy

bv_player packet_edit_player::embassy

Definition at line 1816 of file packets_gen.h.

Referenced by send_packet_edit_player_100().

## ◆ future_tech

int packet_edit_player::future_tech

Definition at line 1821 of file packets_gen.h.

Referenced by send_packet_edit_player_100().

## ◆ gold

int packet_edit_player::gold

Definition at line 1817 of file packets_gen.h.

Referenced by handle_edit_player(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_player_100().

## ◆ government

Government_type_id packet_edit_player::government

Definition at line 1807 of file packets_gen.h.

Referenced by handle_edit_player(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_player_100().

## ◆ id

int packet_edit_player::id

Definition at line 1801 of file packets_gen.h.

Referenced by handle_edit_player(), objbind_pack_current_values(), and receive_packet_edit_player_100().

## ◆ inventions

bool packet_edit_player::inventions[A_LAST+1]

Definition at line 1824 of file packets_gen.h.

Referenced by handle_edit_player(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_player_100().

## ◆ is_alive

bool packet_edit_player::is_alive

Definition at line 1813 of file packets_gen.h.

Referenced by send_packet_edit_player_100().

## ◆ is_male

bool packet_edit_player::is_male

Definition at line 1806 of file packets_gen.h.

Referenced by send_packet_edit_player_100().

## ◆ luxury

int packet_edit_player::luxury

Definition at line 1820 of file packets_gen.h.

Referenced by send_packet_edit_player_100().

## ◆ name

char packet_edit_player::name[MAX_LEN_NAME]

Definition at line 1802 of file packets_gen.h.

Referenced by handle_edit_player(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_player_100().

## ◆ nation

Nation_type_id packet_edit_player::nation

Definition at line 1809 of file packets_gen.h.

Referenced by handle_edit_player(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_player_100().

## ◆ nturns_idle

int packet_edit_player::nturns_idle

Definition at line 1812 of file packets_gen.h.

Referenced by send_packet_edit_player_100().

## ◆ phase_done

bool packet_edit_player::phase_done

Definition at line 1811 of file packets_gen.h.

Referenced by send_packet_edit_player_100().

## ◆ ranked_username

char packet_edit_player::ranked_username[MAX_LEN_NAME]

Definition at line 1804 of file packets_gen.h.

Referenced by send_packet_edit_player_100().

## ◆ researching

int packet_edit_player::researching

Definition at line 1822 of file packets_gen.h.

Referenced by send_packet_edit_player_100().

## ◆ revolution_finishes

int packet_edit_player::revolution_finishes

Definition at line 1814 of file packets_gen.h.

Referenced by send_packet_edit_player_100().

## ◆ scenario_reserved

bool packet_edit_player::scenario_reserved

Definition at line 1826 of file packets_gen.h.

Referenced by handle_edit_player(), objbind_pack_current_values(), objbind_pack_modified_value(), and send_packet_edit_player_100().

## ◆ science

int packet_edit_player::science

Definition at line 1819 of file packets_gen.h.

Referenced by send_packet_edit_player_100().

## ◆ target_government

Government_type_id packet_edit_player::target_government

Definition at line 1808 of file packets_gen.h.

Referenced by send_packet_edit_player_100().

## ◆ tax

int packet_edit_player::tax

Definition at line 1818 of file packets_gen.h.

Referenced by send_packet_edit_player_100().

## ◆ team

int packet_edit_player::team

Definition at line 1810 of file packets_gen.h.

Referenced by send_packet_edit_player_100().

## ◆ user_turns

int packet_edit_player::user_turns

Definition at line 1805 of file packets_gen.h.

Referenced by send_packet_edit_player_100().

## ◆ username

char packet_edit_player::username[MAX_LEN_NAME]

Definition at line 1803 of file packets_gen.h.

Referenced by send_packet_edit_player_100().